#include <bits/stdc++.h>

using namespace std;

int a[500000],b[500000],br=0;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,k,i,j,zlj=0,indx=-1,mm=0;
    cin>>n>>k;
    for(i=0;i<n;i++){
        cin>>a[i];
        if(a[i]>1){
            zlj=1;
        }
    }
    if(zlj==1){
        for(i=0;i<n-k;i++){
            if(k>0){
                if(indx<i){
                    mm=a[i];
                    indx=i;
                    for(j=1;j<k+1;j++){
                        if(a[i+j]<mm){
                            mm=a[i+j];
                            indx=i+j;
                        }
                    }
                    b[br]=a[indx];
                    br++;
                }
                else{
                    k--;
                }
            }
        }
    }
    for(i=indx+1;i<n;i++){
        b[br]=a[i];
        br++;
    }
    for(i=0;i<br-k;i++){
        cout<<b[i]<<" ";
    }
    return 0;
}